"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CardNumberParse = void 0;
/**
 * Imports the Fa_To_En module from the '../number' file.
 * @returns The Fa_To_En module.
 */
const number_1 = require("../number");
/**
 * Parses a card number string by converting any Persian (Farsi) digits to English digits
 * and removing any spaces, dots, or dashes.
 * @param {string} cardNumber - the card number string to parse
 * @returns {string} - the parsed card number string
 */
const CardNumberParse = (cardNumber) => (0, number_1.Fa_To_En)(cardNumber).replace(/[\s.-]/g, '');
exports.CardNumberParse = CardNumberParse;
