"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CardBank = void 0;
const cardNumber_1 = require("../../constants/cardNumber");
const checkCardNumber_1 = require("./checkCardNumber");
/**
 * Determines the bank associated with a given credit card number.
 * @param {string} CardNumber - The credit card number to check.
 * @returns {string | undefined | boolean} - The name of the bank associated with the card number, undefined if the card number is invalid, or false if the card number is not associated with any bank.
 */
const CardBank = (CardNumber) => {
    if ((0, checkCardNumber_1.CheckCardNumber)(CardNumber)) {
        CardNumber = CardNumber.slice(0, 6);
        const bankName = cardNumber_1.banks.find((item) => item.id === +CardNumber);
        return bankName === null || bankName === void 0 ? void 0 : bankName.name;
    }
    return false;
};
exports.CardBank = CardBank;
